Name:		firestring
Summary:	FireString String-Handling Library
Version:	0.9.12
Release:	3
License:	GPL
Group:		System Environment/Libraries
Packager:	Paul Howarth <paul@city-fan.org>
URL:		http://firestuff.org/
Source0:	http://firestuff.org/projects/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	glibc-devel

%description
libfirestring is a string handling library that provides
maximum length aware string handling functions to programs.
Several functions provide saner interfaces than the standard
libc functions.  libfirestring also provides functions that
are in most libc's but not provided for by ANSI C, enabling
programmers to write ANSI C-compliant code while using such
safe functions (strcasecmp, strncasecmp, snprintf).

libfirestring also includes functions for dealing with
reading configuration files in an easy to program fashion.

%package devel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Summary:	Files needed for building applications that use the firestring library.

%description devel
Files needed for building applications that use the firestring library.

%prep
%setup -q -n %{name}

%build
PREFIX=$RPM_BUILD_ROOT%{_prefix} \
MANDIR=$RPM_BUILD_ROOT%{_mandir} \
CONFDIR=$RPM_BUILD_ROOT/etc \
BINDIR=$RPM_BUILD_ROOT%{_bindir} \
SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
LIBDIR=$RPM_BUILD_ROOT%{_libdir} ./configure
%{__make}

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -fr "$RPM_BUILD_ROOT"
%{makeinstall}

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -fr "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files 
%defattr(-,root,root) 
%{_libdir}/libfirestring.so*
%doc README GPL

%files devel
%defattr(-,root,root) 
%{_includedir}/firestring.h
%{_libdir}/libfirestring.a
%{_mandir}/man3/*

%changelog 
* Wed Aug 18 2004 Paul Howarth <paul@city-fan.org> 0.9.12-3
- %%{_sysconfdir} replaced by /etc - actually more portable
- %%{buildroot} replaced with $RPM_BUILD_ROOT as per Fedora
  packaging guidelines

* Wed Mar 24 2004 Paul Howarth <paul@city-fan.org> 0.9.12-2
- Manpages put in devel package where they belong.

* Wed Mar 10 2004 Paul Howarth <paul@city-fan.org> 0.9.12-1
- Update to 0.9.12.
- Source now bzip2 compressed, not gzipped.

* Tue Mar 09 2004 Paul Howarth <paul@city-fan.org> 0.9.11-1
- Update to 0.9.11.
- More macros for portability.

* Wed Feb 25 2004 Paul Howarth <paul@city-fan.org> 0.9.10-1
- Update to 0.9.10.

* Thu Jan 08 2004 Paul Howarth <paul@city-fan.org> 0.9.9-1
- Update to 0.9.9.
- More macros used in "configure" phase for portability.

* Sat Dec 06 2003 Paul Howarth <paul@city-fan.org> 0.9.8-1
- Update to 0.9.8.

* Wed Nov 26 2003 Paul Howarth <paul@city-fan.org> 0.9.6-1
- Initial RPM build.
